Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MouseState Class Reference

マウスステート More...

`#include <MouseState.h>`

List of all members.

## Public Member Functions
| MouseState ()
| コンストラクタ
virtual | ~MouseState ()
| デストラクタ
virtual void | clear ()
| クリア
virtual void | setXAxis (int xAxis)
| X軸の設定.
virtual int | getXAxis () const
| X軸の取得.
virtual void | setYAxis (int yAxis)
| Y軸の設定.
virtual int | getYAxis () const
| Y軸の取得.
virtual void | setZAxis (int zAxis)
| Z軸の設定.
virtual int | getZAxis () const
| Z軸の取得.
virtual void | setButtonPressed (int id, bool pressed)
| ボタンの設定
virtual bool | buttonPressed (int id) const
| ボタンが押されているか
virtual String | toString () const
| 文字列への変換
virtual void | writeBinary (BinaryWriter *binaryWriter) const
| バイナリ書き出し
virtual void | readBinary (BinaryReader *binaryReader)
| バイナリ読み込み
## Static Public Attributes
const int | maxButtonCount = 8
| 最大ボタン数
## Friends
class | MouseDevice

## Detailed Description

マウスステート

Definition at line 37 of file MouseState.h.

## Member Function Documentation

virtual bool Lamp::MouseState::buttonPressed | ( | int | id | ) | const`[inline, virtual]`

  | ボタンが押されているか Parameters:
  id | 対象ボタンID
Returns: ボタンが押されていればtrue Definition at line 115 of file MouseState.h. References Assert, and maxButtonCount. Referenced by Lamp::Mouse::buttonDown(), Lamp::Mouse::buttonPressed(), Lamp::Mouse::buttonUp(), toString(), and writeBinary().

virtual int Lamp::MouseState::getXAxis | ( |  | ) | const`[inline, virtual]`

| X軸の取得. Returns: X軸 Definition at line 73 of file MouseState.h. Referenced by Lamp::Mouse::getXAxis(), toString(), and writeBinary().

virtual int Lamp::MouseState::getYAxis | ( |  | ) | const`[inline, virtual]`

| Y軸の取得. Returns: Y軸 Definition at line 85 of file MouseState.h. Referenced by Lamp::Mouse::getYAxis(), toString(), and writeBinary().

virtual int Lamp::MouseState::getZAxis | ( |  | ) | const`[inline, virtual]`

| Z軸の取得. Returns: Z軸 Definition at line 97 of file MouseState.h. Referenced by Lamp::Mouse::getZAxis(), toString(), and writeBinary().

void Lamp::MouseState::readBinary | ( | BinaryReader * | binaryReader | ) | `[virtual]`

  | バイナリ読み込み Parameters:
  binaryReader | バイナリリーダ
Definition at line 49 of file MouseState.cpp. References Lamp::BitSet< Type >::getIndexedBit(), maxButtonCount, Lamp::BinaryReader::readShort(), Lamp::BinaryReader::readUChar(), setButtonPressed(), setXAxis(), setYAxis(), and setZAxis().

virtual void Lamp::MouseState::setButtonPressed | ( | int | id,
|  | bool | pressed
| ) | `[inline, virtual]`

  | ボタンの設定 Parameters:
  id | 対象ボタンID
  pressed | trueなら押されている
Definition at line 105 of file MouseState.h. References Assert, and maxButtonCount. Referenced by Lamp::MouseDevice::polling(), and readBinary().

virtual void Lamp::MouseState::setXAxis | ( | int | xAxis | ) | `[inline, virtual]`

  | X軸の設定. Parameters:
  xAxis | X軸
Definition at line 67 of file MouseState.h. Referenced by Lamp::MouseDevice::polling(), and readBinary().

virtual void Lamp::MouseState::setYAxis | ( | int | yAxis | ) | `[inline, virtual]`

  | Y軸の設定. Parameters:
  yAxis | Y軸
Definition at line 79 of file MouseState.h. Referenced by Lamp::MouseDevice::polling(), and readBinary().

virtual void Lamp::MouseState::setZAxis | ( | int | zAxis | ) | `[inline, virtual]`

  | Z軸の設定. Parameters:
  zAxis | Z軸
Definition at line 91 of file MouseState.h. Referenced by Lamp::MouseDevice::polling(), and readBinary().

virtual String Lamp::MouseState::toString | ( |  | ) | const`[inline, virtual]`

| 文字列への変換 Returns: 文字列 Definition at line 125 of file MouseState.h. References buttonPressed(), Lamp::String::format(), getXAxis(), getYAxis(), and getZAxis(). Referenced by Lamp::MouseDevice::toString().

void Lamp::MouseState::writeBinary | ( | BinaryWriter * | binaryWriter | ) | const`[virtual]`

  | バイナリ書き出し Parameters:
  binaryWriter | バイナリライタ
Definition at line 34 of file MouseState.cpp. References Assert, buttonPressed(), Lamp::BitSet< Type >::getBits(), getXAxis(), getYAxis(), getZAxis(), maxButtonCount, Lamp::BitSet< Type >::setIndexedBit(), Lamp::BinaryWriter::writeShort(), and Lamp::BinaryWriter::writeUChar().

The documentation for this class was generated from the following files:

- MouseState.h
- MouseState.cpp